com.fasterxml.jackson.databind.exc

## Class InvalidFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.databind.exc.InvalidFormatException

- All Implemented Interfaces:
    Serializable

      public class InvalidFormatException
      extends JsonMappingException

  Specialized sub-class of `JsonMappingException` that is used when the underlying problem appears to be that of bad formatting of a value to deserialize.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `_targetType` Intended target type (type-erased class) that value could not be deserialized into, if known.
    `protected Object` | `_value` Underlying value that could not be deserialized into target type, if available.

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidFormatException(String msg, JsonLocation loc, Object value, Class<?> targetType)`
    `InvalidFormatException(String msg, Object value, Class<?> targetType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InvalidFormatException` | `from(JsonParser jp, String msg, Object value, Class<?> targetType)`
    `Class<?>` | `getTargetType()` Accessor for checking target type of value (`getValue()` that failed to deserialize.
    `Object` | `getValue()` Accessor for checking source value (String, Number usually) that could not be deserialized into target type (`getTargetType()`).

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `getLocation, getMessageSuffix, getOriginalMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _value

          protected final Object _value

      Underlying value that could not be deserialized into target type, if available.

    - #### _targetType

          protected final Class<?> _targetType

      Intended target type (type-erased class) that value could not be deserialized into, if known.

  - ### Constructor Detail

    - #### InvalidFormatException

          public InvalidFormatException(String msg,
                                Object value,
                                Class<?> targetType)

    - #### InvalidFormatException

          public InvalidFormatException(String msg,
                                JsonLocation loc,
                                Object value,
                                Class<?> targetType)

  - ### Method Detail

    - #### from

          public static InvalidFormatException from(JsonParser jp,
                                    String msg,
                                    Object value,
                                    Class<?> targetType)

    - #### getValue

          public Object getValue()

      Accessor for checking source value (String, Number usually) that could not be deserialized into target type (`getTargetType()`). Note that value may not be available, depending on who throws the exception and when.

    - #### getTargetType

          public Class<?> getTargetType()

      Accessor for checking target type of value (`getValue()` that failed to deserialize. Note that type may not be available, depending on who throws the exception and when.

Copyright © 2012-2013 FasterXML. All Rights Reserved.